Package com.ocient.jdbc.proto

# Interface PlanProtocol.IndexOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IndexOperator`, `PlanProtocol.IndexOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IndexOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `containsColumns​(String key)` | The columns
`String` | `getColNames​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColNamesBytes​(int index)` | Deprecated.
`int` | `getColNamesCount()` | Deprecated.
`List<String>` | `getColNamesList()` | Deprecated.
`String` | `getColTypes​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | Deprecated.
`int` | `getColTypesCount()` | Deprecated.
`List<String>` | `getColTypesList()` | Deprecated.
`Map<String,​PlanProtocol.ColumnInfo>` | `getColumns()` | Deprecated.
`int` | `getColumnsCount()` | The columns
`Map<String,​PlanProtocol.ColumnInfo>` | `getColumnsMap()` | The columns
`PlanProtocol.ColumnInfo` | `getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)` | The columns
`PlanProtocol.ColumnInfo` | `getColumnsOrThrow​(String key)` | The columns
`String` | `getDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` | `getDbBytes()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Filter conditions to apply via index
`int` | `getFiltersCount()` | Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Filter conditions to apply via index
`String` | `getIndexName()` | Which index?
`com.google.protobuf.ByteString` | `getIndexNameBytes()` | Which index?
`String` | `getIndexUuid()` | `string index_uuid = 10;`
`com.google.protobuf.ByteString` | `getIndexUuidBytes()` | `string index_uuid = 10;`
`long` | `getLimitVal()` | If there is no limit being applied, this is set to -1
`String` | `getSchema()` | The table schema
`com.google.protobuf.ByteString` | `getSchemaBytes()` | The table schema
`boolean` | `getSegmentDistinct()` | whether or not this is a segment distinct index
`String` | `getStorageSpaceUuid()` | `string storage_space_uuid = 9;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidBytes()` | `string storage_space_uuid = 9;`
`String` | `getTableName()` | The table name
`com.google.protobuf.ByteString` | `getTableNameBytes()` | The table name
`String` | `getTableUuid()` | `string table_uuid = 8;`
`com.google.protobuf.ByteString` | `getTableUuidBytes()` | `string table_uuid = 8;`
`PlanProtocol.Disjunction` | `getTimeFilters​(int index)` | Time filter disjunctions
`int` | `getTimeFiltersCount()` | Time filter disjunctions
`List<PlanProtocol.Disjunction>` | `getTimeFiltersList()` | Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` | `getTimeFiltersOrBuilder​(int index)` | Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getTimeFiltersOrBuilderList()` | Time filter disjunctions

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSchema

String getSchema()

    The table schema

`string schema = 1;`

### getSchemaBytes

com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

### getTableName

String getTableName()

    The table name

`string tableName = 2;`

### getTableNameBytes

com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

### getIndexName

String getIndexName()

    Which index?

`string indexName = 3;`

### getIndexNameBytes

com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

### getColNamesList

@Deprecated List<String> getColNamesList()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNamesCount

@Deprecated int getColNamesCount()
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNames

@Deprecated String getColNames​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getColNamesBytes

@Deprecated com.google.protobuf.ByteString getColNamesBytes​(int index)
Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

### getFiltersList

List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFilters

PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersCount

int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

### getLimitVal

long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 6;`

### getDb

String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

### getDbBytes

com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

### getTableUuid

String getTableUuid()
`string table_uuid = 8;`

### getTableUuidBytes

com.google.protobuf.ByteString getTableUuidBytes()
`string table_uuid = 8;`

### getStorageSpaceUuid

String getStorageSpaceUuid()
`string storage_space_uuid = 9;`

### getStorageSpaceUuidBytes

com.google.protobuf.ByteString getStorageSpaceUuidBytes()
`string storage_space_uuid = 9;`

### getIndexUuid

String getIndexUuid()
`string index_uuid = 10;`

### getIndexUuidBytes

com.google.protobuf.ByteString getIndexUuidBytes()
`string index_uuid = 10;`

### getTimeFiltersList

List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

### getTimeFilters

PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

### getTimeFiltersCount

int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

### getTimeFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

### getTimeFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

### getSegmentDistinct

boolean getSegmentDistinct()

    whether or not this is a segment distinct index

`bool segmentDistinct = 12;`

### getColTypesList

@Deprecated List<String> getColTypesList()
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 13 [deprecated = true];`

### getColTypesCount

@Deprecated int getColTypesCount()
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 13 [deprecated = true];`

### getColTypes

@Deprecated String getColTypes​(int index)
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 13 [deprecated = true];`

### getColTypesBytes

@Deprecated com.google.protobuf.ByteString getColTypesBytes​(int index)
Deprecated.

    The string representation of the type of ALL output columns

`repeated string colTypes = 13 [deprecated = true];`

### getColumnsCount

int getColumnsCount()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

### containsColumns

boolean containsColumns​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

### getColumns

@Deprecated Map<String,​PlanProtocol.ColumnInfo> getColumns()
Deprecated.
Use `getColumnsMap()` instead.

### getColumnsMap

Map<String,​PlanProtocol.ColumnInfo> getColumnsMap()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

### getColumnsOrDefault

PlanProtocol.ColumnInfo getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

### getColumnsOrThrow

PlanProtocol.ColumnInfo getColumnsOrThrow​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`